Package org.codehaus.groovy.groovydoc

# Interface GroovyPackageDoc

All Superinterfaces:
  `java.lang.Comparable`, `GroovyDoc`

All Known Implementing Classes:
  `SimpleGroovyPackageDoc`

    public interface GroovyPackageDoc
    extends GroovyDoc

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `GroovyClassDoc[]` | `allClasses()` | All included classes and interfaces in this package.
  `GroovyClassDoc[]` | `allClasses​(boolean filter)` | All classes and interfaces in this package optionally limited to just the included ones.
  `java.lang.String` | `description()` | Description of the package.
  `GroovyClassDoc[]` | `enums()` | Included enum types in this package.
  `GroovyClassDoc[]` | `errors()` | Included errors in this package.
  `GroovyClassDoc[]` | `exceptions()` | Included exceptions in this package.
  `GroovyClassDoc` | `findClass​(java.lang.String className)` | Find a class or interface within this package.
  `java.lang.String` | `getRelativeRootPath()` |
  `GroovyClassDoc[]` | `interfaces()` | Included interfaces in this package.
  `java.lang.String` | `nameWithDots()` |
  `GroovyClassDoc[]` | `ordinaryClasses()` | Included ordinary classes in this package.
  `java.lang.String` | `summary()` | The one-sentence summary for the package derived from the beginning of the description.

  ### Methods inherited from interface java.lang.Comparable

  `compareTo`

  ### Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyDoc

  `commentText, firstSentenceCommentText, getRawCommentText, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, name, setRawCommentText`

- ## Method Details

  - ### allClasses

    GroovyClassDoc[] allClasses()
    All included classes and interfaces in this package.
    Returns:
      array of classes and interfaces found or empty array if none found

  - ### allClasses

    GroovyClassDoc[] allClasses​(boolean filter)
    All classes and interfaces in this package optionally limited to just the included ones.
    Parameters:
      `filter` - Specifying true filters according to the specified access modifier option. Specifying false includes all classes and interfaces regardless of access modifier option.
    Returns:
      array of classes and interfaces found or empty array if none found

  - ### enums

    GroovyClassDoc[] enums()
    Included enum types in this package.
    Returns:
      array of enum types found or empty array if none found

  - ### errors

    GroovyClassDoc[] errors()
    Included errors in this package.
    Returns:
      array of errors found or empty array if none found

  - ### exceptions

    GroovyClassDoc[] exceptions()
    Included exceptions in this package.
    Returns:
      array of exceptions found or empty array if none found

  - ### findClass

    GroovyClassDoc findClass​(java.lang.String className)
    Find a class or interface within this package.
    Parameters:
      `className` - the name of the class to find
    Returns:
      ClassDoc of found class or interface, or null if not found

  - ### interfaces

    GroovyClassDoc[] interfaces()
    Included interfaces in this package.
    Returns:
      array of interfaces found or empty array if none found

  - ### ordinaryClasses

    GroovyClassDoc[] ordinaryClasses()
    Included ordinary classes in this package.
    Returns:
      array of ordinary classes (non-interface, non-enum, non-throwable classes) found or empty array if none found

  - ### summary

    java.lang.String summary()
    The one-sentence summary for the package derived from the beginning of the description.
    Returns:
      the summary

  - ### description

    java.lang.String description()
    Description of the package.
    Returns:
      the description

  - ### nameWithDots

    java.lang.String nameWithDots()

  - ### getRelativeRootPath

    java.lang.String getRelativeRootPath()